<!DOCTYPE html>
<html lang="en">
<head>
<title>聚合支付接口demo</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css">
body {
	font-size: 10px;
}

table {
  border-collapse: collapse;
}

table, th, td {
  border-bottom: 1px solid #ddd;
  padding: 5px;
  text-align: left;
}

</style>
</head>
<body>
	<a href="${basePath}/index.html">返回首页</a>
	<h1>聚合支付</h1>
	<br>
	<form action="${basePath}/doAggPayment.do" method="post">
	<table>
		<tr>
			<td>参数名称</td>
			<td>参数值</td>
			<td>参数说明</td>
		</tr>
		<tr>
			<td>pageUrl</td>
			<td><input type="text" name="pageUrl" value="${pageUrl}" size="40"/></td>
			<td>必填，商户系统接受支付结果的页面地址</td>
		</tr>
		<tr>
			<td>bgUrl</td>
			<td><input type="text" name="bgUrl" value="${bgUrl}"  size="40"/></td>
			<td>必填，商户系统接受支付结果的后台地址</td>
		</tr>
		<tr>
			<td>payerName</td>
			<td><input type="text" name="payerName" value="${payerName}"  size="40" /></td>
			<td>条件必填，支付人姓名，中文名，网银直连时必填</td>
		</tr>
		<tr>
			<td>payerContactType</td>
			<td><input type="text" name="payerContactType" value="${payerContactType}"  size="40" /></td>
			<td>非必填，支付人联系方式类型，固定值：1或者2。1-代表电子邮件方式、2-其他联系方式。</td>
		</tr>
		<tr>
			<td>payerContact</td>
			<td><input type="text" name="payerContact" value="${payerContact}"  size="40" /></td>
			<td>非必填，支付人联系方式，根据payerContactType的方式填写对应字符，邮箱或者其他联系方式</td>
		</tr>
		<tr>
			<td>payerIdentityCard</td>
			<td><input type="text" name="payerIdentityCard" value="${payerIdentityCard}"  size="40" /></td>
			<td>条件必填，支付人身份证号码，字符串，18位身份证号；跨境结算且为直连模式时必填</td>
		</tr>
		<tr>
			<td>cardNumber</td>
			<td><input type="text" name="cardNumber" value="${cardNumber}"  size="40" /></td>
			<td>非必填，支付人所持卡号</td>
		</tr>
		<tr>
			<td>orderId</td>
			<td><input type="text" name="orderId" value="${orderId}"  size="40" /></td>
			<td>必填，商户订单号，只允许使用字母、数字、_,每商户提交的订单号，必须在自身账户交易中唯一</td>
		</tr>
		<tr>
			<td>orderCurrency</td>
			<td><input type="text" name="orderCurrency" value="${orderCurrency}"  size="40"/></td>
			<td>必填，订单币种，3位币别码，详情请参照币别代码附录。</td>
		</tr>
		<tr>
			<td>settlementCurrency</td>
			<td><input type="text" name="settlementCurrency" value="${settlementCurrency}"  size="40"/></td>
			<td>必填，结算币种，3位币别码，详情请参照币别代码附录。</td>
		</tr>
		<tr>
			<td>orderAmount</td>
			<td><input type="text" name="orderAmount" value="${orderAmount}"  size="40"/></td>
			<td>必填，商户订单金额，整型数字，单位为分。日韩元支持的最小单位为元。如100元，则填写10000</td>
		</tr>
		<tr>
			<td>orderTime</td>
			<td><input type="text" name="orderTime" value="${orderTime}"  size="40"/></td>
			<td>必填，商户订单提交时间，一共14位格式为：yyyyMMddHHmmss</td>
		</tr>
		<tr>
			<td>productName</td>
			<td><input type="text" name="productName" value="${productName}"  size="40"/></td>
			<td>必填，商品名称</td>
		</tr>
		<tr>
			<td>productNum</td>
			<td><input type="text" name="productNum" value="${productNum}"  size="40"/></td>
			<td>必填，商品数量，整型数字</td>
		</tr>
		<tr>
			<td>productId</td>
			<td><input type="text" name="productId" value="${productId}"  size="40"/></td>
			<td>必填，商品代码，请根据我司提供的商品代码附录进行填写。</td>
		</tr>
		<tr>
			<td>productDesc</td>
			<td><input type="text" name="productDesc" value="${productDesc}"  size="40"/></td>
			<td>非必填，填写规则：商品编号|商品名称|商品数量|商品单价（单位元）|商品链接;商品编号|商品名称|商品数量|商品单价（单位元）|商品链接</td>
		</tr>
		<tr>
			<td>divFlag</td>
			<td><input type="text" name="divFlag" value="${divFlag}"  size="40"/></td>
			<td>非必填，1:表示分账，不上送或上送。0:表示不分账；分账需要联系我司运营进行开通配置</td>
		</tr>
		<tr>
			<td>ext1</td>
			<td><input type="text" name="ext1" value="${ext1}"  size="40"/></td>
			<td>非必填，扩展字段1，英文或中文字符串支付完成后，按照原样返回给商户</td>
		</tr>
		<tr>
			<td>ext2</td>
			<td><input type="text" name="ext2" value="${ext2}"  size="40"/></td>
			<td>非必填，扩展字段2，英文或中文字符串支付完成后，按照原样返回给商户</td>
		</tr>
		<tr>
			<td></td>
			<td><button type="submit">提交支付信息</button></td>
			<td></td>
		</tr>
	</table>
	</form>
</body>
</html>
